import { SfCommand } from "@salesforce/sf-plugins-core";
import { Connection } from "@salesforce/core";
import { AnyJson } from "@salesforce/ts-types";
export default class HardisProjectGenerateBypass extends SfCommand<any> {
    private skipCredits;
    private retrieveFromOrg;
    static flags: any;
    static description: string;
    static examples: string[];
    run(): Promise<AnyJson>;
    querySObjects(connection: Connection): Promise<any>;
    getFilteredSObjects(connection: Connection): Promise<{
        [key: string]: string;
    }>;
    queryTriggers(connection: Connection): Promise<any>;
    filterTriggerResults(triggerResults: any, sObjects: any): any;
    queryValidationRules(connection: Connection, sObjects: {
        [key: string]: string;
    }): Promise<any>;
    generateXML(type: "customPermission" | "permissionSet", sObject: string, automation: string): string;
    private generateXMLFiles;
    generateFiles(targetSObjects: {
        [key: string]: string;
    }, targetAutomations: string[]): void;
    retrieveMetadataFiles(records: any[], metadataType: "ValidationRule" | "ApexTrigger"): Promise<any[]>;
    chunkArray<T>(array: T[], chunkSize?: number): T[][];
    handleValidationRuleFile(filePath: string, sObject: string, name: string): Promise<{
        sObject: string;
        name: string;
        action: string;
        comment: string;
    }>;
    applyBypassToValidationRules(connection: Connection, sObjects: {
        [key: string]: string;
    }): Promise<void>;
    handleTriggerFile(filePath: string, name: string): Promise<{
        [key: string]: string | null;
    }>;
    applyBypassToTriggers(connection: Connection, sObjects: {
        [key: string]: string;
    }): Promise<void>;
}
